curl --request GET \
--url https://api.app.fleetit.com/v2/transponders/ \
--header 'Authorization: Bearer <token>'{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 1,
"vehicle": null,
"fleet": {
"id": 1,
"title": "FleetIT Demo",
"is_active": true
},
"agencies": [
{
"id": 53,
"title": "WVPEDTA",
"detail": "West Virginia Parkways Authority (WV)"
}
],
"vehicle_type": {
"id": 1,
"vehicle_type_code": "136_136",
"vehicle_type_text": "136:Motorcycle:<7000lbs:Ax2"
},
"number": "TEST-123",
"status": "IN_SHIPMENT"
}
]
}Retrieve a list of transponders
curl --request GET \
--url https://api.app.fleetit.com/v2/transponders/ \
--header 'Authorization: Bearer <token>'{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 1,
"vehicle": null,
"fleet": {
"id": 1,
"title": "FleetIT Demo",
"is_active": true
},
"agencies": [
{
"id": 53,
"title": "WVPEDTA",
"detail": "West Virginia Parkways Authority (WV)"
}
],
"vehicle_type": {
"id": 1,
"vehicle_type_code": "136_136",
"vehicle_type_text": "136:Motorcycle:<7000lbs:Ax2"
},
"number": "TEST-123",
"status": "IN_SHIPMENT"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The ID of the fleet to filter transponders.
The ID of the agency to filter transponders.
The status of the transponders to filter by. Options are IN_STOCK, IN_SHIPMENT, PENDING_VEHICLE, ACTIVE, REQUESTED_REMOVAL, RETURN_IN_PROGRESS, RETURNED, RETURNED_TO_TOLL_AUTH, LOST_OR_STOLEN, LOST_DEACTIVATED.
Search for transponders by number, vehicle plate number, or vehicle plate state.
Order the results by specified fields. Prefix with - for descending order.
Limits the number of results returned.
Specifies the starting point within the collection of results.
Was this page helpful?